## NMIP4Config NMIP4Config |

## Functions

GObject * | nm_ip4_config_new ()
const GSList * | nm_ip4_config_get_addresses ()
const GArray * | nm_ip4_config_get_nameservers ()
const GPtrArray * | nm_ip4_config_get_domains ()
const GSList * | nm_ip4_config_get_routes ()
const GArray * | nm_ip4_config_get_wins_servers ()

## Properties

gpointer | addresses | Read
NMStringArray * | domains | Read
NMUintArray * | nameservers | Read
gpointer | routes | Read
NMUintArray * | wins-servers | Read

## Types and Values

#define | NM_IP4_CONFIG_ADDRESSES
#define | NM_IP4_CONFIG_NAMESERVERS
#define | NM_IP4_CONFIG_DOMAINS
#define | NM_IP4_CONFIG_ROUTES
#define | NM_IP4_CONFIG_WINS_SERVERS

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMIP4Config

## Description

## Functions

### nm_ip4_config_new ()

    GObject *
    nm_ip4_config_new (DBusGConnection *connection,
                       const char *object_path);

Creates a new NMIP4Config.

#### Parameters

connection | the DBusGConnection |
object_path | the DBus object path of the device |

#### Returns

a new IP4 configuration.

[transfer full]

### nm_ip4_config_get_addresses ()

    const GSList *
    nm_ip4_config_get_addresses (NMIP4Config *config);

Gets the IP4 addresses (containing the address, prefix, and gateway).

#### Parameters

config | a NMIP4Config |

#### Returns

the GSList containing NMIP4Addresses. This is the internal copy used by the configuration and must not be modified.

[element-type NetworkManager.IP4Address]

### nm_ip4_config_get_nameservers ()

    const GArray *
    nm_ip4_config_get_nameservers (NMIP4Config *config);

Gets the domain name servers (DNS).

#### Parameters

config | a NMIP4Config |

#### Returns

the GArray containing `guint32`s. This is the internal copy used by the configuration and must not be modified.

[element-type guint32]

### nm_ip4_config_get_domains ()

    const GPtrArray *
    nm_ip4_config_get_domains (NMIP4Config *config);

Gets the domain names.

#### Parameters

config | a NMIP4Config |

#### Returns

the GPtrArray containing domains as strings. This is the internal copy used by the configuration, and must not be modified.

[element-type utf8]

### nm_ip4_config_get_routes ()

    const GSList *
    nm_ip4_config_get_routes (NMIP4Config *config);

Gets the routes.

#### Parameters

config | a NMIP4Config |

#### Returns

the GSList containing NMIP4Routes. This is the internal copy used by the configuration, and must not be modified.

[element-type NetworkManager.IP4Route]

### nm_ip4_config_get_wins_servers ()

    const GArray *
    nm_ip4_config_get_wins_servers (NMIP4Config *config);

Gets the Windows Internet Name Service servers (WINS).

#### Parameters

config | a NMIP4Config |

#### Returns

the GArray containing `guint32`s. This is the internal copy used by the configuration and must not be modified.

[element-type guint32]

## Types and Values

### NM_IP4_CONFIG_ADDRESSES

    #define NM_IP4_CONFIG_ADDRESSES "addresses"

### NM_IP4_CONFIG_NAMESERVERS

    #define NM_IP4_CONFIG_NAMESERVERS "nameservers"

### NM_IP4_CONFIG_DOMAINS

    #define NM_IP4_CONFIG_DOMAINS "domains"

### NM_IP4_CONFIG_ROUTES

    #define NM_IP4_CONFIG_ROUTES "routes"

### NM_IP4_CONFIG_WINS_SERVERS

    #define NM_IP4_CONFIG_WINS_SERVERS "wins-servers"

## Property Details

### The `“addresses”` property

      “addresses”                gpointer

Addresses.

Flags: Read

### The `“domains”` property

      “domains”                  NMStringArray *

Domains.

Flags: Read

### The `“nameservers”` property

      “nameservers”              NMUintArray *

Nameservers.

Flags: Read

### The `“routes”` property

      “routes”                   gpointer

Routes.

Flags: Read

### The `“wins-servers”` property

      “wins-servers”             NMUintArray *

WINS Servers.

Flags: Read